POST /api/v1/runs
curl --request POST \
--url https://api.magica.com/api/v1/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.magica.com/api/v1/runs"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.magica.com/api/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Runs
Start workflow run
Start a workflow run by workflow ID or system workflow slug.
POST
/
v1
/
runs
POST /api/v1/runs
Use this endpoint to start a full workflow run. The response returns a
runId; poll GET /v1/runs/{runId} for status and node outputs.
curl -X POST https://api.magica.com/api/v1/runs \
-H "Authorization: Bearer $MAGICA_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"workflowId": "workflow-or-system-slug",
"values": {
"request-node-id": {
"prompt": "Create a product hero image"
}
}
}'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
StartRunInputSchema
Response
202
Accepted
Was this page helpful?
⌘I